#ifndef IMUSensor_H
#define IMUSensor_H

#include <Arduino.h>
#include "I2Cdev.h"
#include "MPU6050.h"



class IMUSensor
{
	public:
        IMUSensor();
        void Init(void);
        void getAngleRotation(int16_t speed);
        void computeAngle(void);
        void read(void);
        float getAngle_X(void);
        float getAngle_Y(void);
        float getRealAcceleration(void);
        

    private:
  		int ax, ay, az;
        int gx, gy, gz;

        long time_prev;
        float dt;
        float ang_x, ang_y;
        float ang_x_prev, ang_y_prev;

         
};





#endif